Skip to main content
POST
/
v1
/
dict
/
lookup
Consulta titular e dados da chave Pix
curl --request POST \
  --url https://stater.stric.io/v1/dict/lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pixKey": "<string>",
  "pixKeyType": "CPF"
}
'
{
  "id": "<string>",
  "key": "<string>",
  "keyType": "CPF",
  "owner": {
    "name": "<string>",
    "document": "<string>"
  },
  "bankName": "<string>",
  "ispb": "<string>",
  "branch": "<string>",
  "account": "<string>",
  "accountType": "<string>",
  "cached": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Body

application/json
pixKey
string
required
Required string length: 1 - 200
pixKeyType
enum<string>
required
Available options:
CPF,
CNPJ,
EMAIL,
PHONE,
EVP

Response

OK

id
string
required
key
string
required
keyType
enum<string>
required
Available options:
CPF,
CNPJ,
EMAIL,
PHONE,
EVP
owner
object
required
bankName
string | null
required
ispb
string | null
required
branch
string | null
required
account
string | null
required
accountType
string | null
required
cached
boolean
required